Page MenuHomePhabricator

[Task] Adapt UI to use new wbformatvalue parameter
Closed, ResolvedPublic

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Medium.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW added subscribers: adrianheine, aude, hoo and 3 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2016, 1:58 PM
hoo added a comment.Jan 19 2016, 10:57 PM

We might want to consider to just use the API for everything now without any special declarations regarding data types.

Bene added a subscriber: Bene.

Change 266730 had a related patch set uploaded (by Bene):
Add propertyId paramter to formatValue

https://gerrit.wikimedia.org/r/266730

Jonas assigned this task to Bene.Jan 27 2016, 3:57 PM
Jonas set Security to None.

Change 266758 had a related patch set uploaded (by Bene):
Add propertyId option to valueview

https://gerrit.wikimedia.org/r/266758

Sjoerddebruin moved this task from incoming to monitoring on the Wikidata board.Jan 27 2016, 5:24 PM
Tobi_WMDE_SW reassigned this task from Bene to adrianheine.Feb 2 2016, 10:51 AM
Tobi_WMDE_SW moved this task from Review to Doing on the Wikidata-Sprint-2016-01-19 board.
Bene added a comment.Feb 2 2016, 11:59 AM

Why did you reassign this? I have already worked on this and the patches are up on gerrit. I'm not sure why this shouldn't be assigned to me anymore.

@Bene: @adrianheine mentioned he is now working on that, so I re-assigned the task. If that's wrong, feel free to assign yourself again if you are still working on this. In general the person who's _currently_ working on the task should also be the one it is assigned to, so others can directly ask that person in case there a questions.

Bene claimed this task.Feb 2 2016, 3:01 PM

I'm currently working on this. I only had a short discussion with Adrian in one patch (https://gerrit.wikimedia.org/r/#/c/266758/) where Adrian committed to refactor the general way the value view interacts with formatters. That however is a separate task that should get its own ticket.

Change 266758 abandoned by Bene:
Add propertyId option to valueview

Reason:
Per discussion with Adrian, we want to do some refactoring in the valueview component first.

https://gerrit.wikimedia.org/r/266758

daniel added a subscriber: daniel.Feb 2 2016, 3:24 PM

@Bene yay, more management overhead ;)

Tobi_WMDE_SW moved this task from Proposed to Backlog on the Wikidata-Sprint-2016-02-02 board.

@Bene since the blocker is resolved, are you planning to work on that further?

Change 266730 merged by jenkins-bot:
Add propertyId paramter to formatValue

https://gerrit.wikimedia.org/r/266730

adrianheine closed this task as Resolved.Feb 18 2016, 10:33 AM
adrianheine moved this task from Review to Done on the Wikidata-Sprint-2016-02-16 board.